Name:     paraver
Version:  4.10.6
Release:  1%{dist}
Summary:  Expressive powerful and flexible trace visualizer

License:  LGPL-3.0-or-later
URL:      https://tools.bsc.es/paraver
Source0:  https://ftp.tools.bsc.es/wxparaver/wx%{name}-%{version}-src.tar.bz2

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  boost-devel
BuildRequires:  boost-date-time
BuildRequires:  boost-serialization
BuildRequires:  chrpath
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libgcrypt-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  libtool
BuildRequires:  libxml2-devel
BuildRequires:  openssl-devel
BuildRequires:  wxBase-devel
BuildRequires:  wxGTK-devel
BuildRequires:  wxGTK-gl

%description
Paraver was developed to respond to the need to have a
qualitative global perception of the application behavior
by visual inspection and then to be able to focus on the
detailed quantitative analysis of the problems. Expressive
power, flexibility and the capability of efficiently
handling large traces are key features addressed in the
design of Paraver. The clear and modular structure of
Paraver plays a significant role towards achieving these
targets.

%package devel
Summary:   Expressive, powerful and flexible trace visualizer
Requires:  %{name}%{?_isa} = %{version}-%{release}

%description devel
Development headers and libraries for paraver

%package docs
Summary:   Expressive, powerful and flexible trace visualizer

%description docs
HTML documentation for paraver

%prep
%autosetup -n wx%{name}-%{version} 

%build
# Remove rpaths
sed -i "s|-Wl,-rpath -Wl,..\/\$PARAVER_RPATH_LIB||g" src/wxparaver/configure.ac
sed -i "s|-rpath \$\(pkglibdir\) \$\(libparaver_api_la_OBJECTS\) \$\(libparaver_api_la_LIBADD\)||g" \
  src/paraver-kernel/api/Makefile.in
sed -i "s|-rpath \$\(pkglibdir\) \$\(libparaver_kernel_la_OBJECTS\) \$\(libparaver_kernel_la_LIBADD\)||g" \
  src/paraver-kernel/src/Makefile.in
autoreconf -fi
%configure \
  --with-boost-date-time=boost_date_time \
  --with-boost-serialization=boost_serialization \
  --libdir=%{_libdir} \
  --includedir=%{_includedir}/paraver \
  --disable-rpath \
  CPPFLAGS="-I%{_builddir}/wx%{name}-%{version}/src/paraver-kernel/api \
            -I%{_builddir}/wx%{name}-%{version}/src/paraver-kernel" \
  LDFLAGS="-L%{_builddir}/wx%{name}-%{version}/src/paraver-kernel/src/.libs \
           -L%{_builddir}/wx%{name}-%{version}/src/paraver-kernel/api/.libs"
%make_build

%install
%make_install
# Remove static libraries
rm %{buildroot}/%{_libdir}/paraver-kernel/libparaver-api.a
rm %{buildroot}/%{_libdir}/paraver-kernel/libparaver-kernel.a
# Remove rpaths
chrpath --delete %{buildroot}%{_bindir}/paramedir.bin
chrpath --delete %{buildroot}%{_libdir}/paraver-kernel/libparaver-kernel.so.0.*
chrpath --delete %{buildroot}%{_libdir}/paraver-kernel/libparaver-api.so.0.*
# Move documentation and sample configuration files
# into a reasonable location
mkdir -p %{buildroot}/%{_datadir}/paraver
mv  %{buildroot}/usr/cfgs %{buildroot}/%{_datadir}/paraver
mkdir -p %{buildroot}/%{_docdir}/paraver
mv %{buildroot}/%{_docdir}/wxparaver_help_contents/html/ \
   %{buildroot}/%{_docdir}/paraver/
mkdir -p %{buildroot}/%{_mandir}/man1
mv %{buildroot}/%{_docdir}/wxparaver_help_contents/man/paraver-toolset.1.gz \
   %{buildroot}/%{_mandir}/man1/
rm -r %{buildroot}/%{_docdir}/wxparaver_help_contents
mv %{buildroot}/%{_datadir}/filters-config/ \
   %{buildroot}/%{_datadir}/paraver/
mv %{buildroot}/%{_datadir}/workspaces.xml \
   %{buildroot}/%{_datadir}/paraver/
mv %{buildroot}/%{_datadir}/wxparaver-signals/ \
   %{buildroot}/%{_datadir}/paraver/

%check
# no checks

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/dimemas-wrapper.sh
%{_bindir}/paramedir
%{_bindir}/sort-trace.grep.sh
%{_bindir}/wxparaver
%{_bindir}/is-trace-sorted.awk.sh
%{_bindir}/paramedir.bin
%{_bindir}/sort-trace.sh
%{_bindir}/wxparaver.bin
%{_bindir}/is-trace-sorted.grep.sh
%{_bindir}/prvmerger
%{_bindir}/stats
%{_bindir}/is-trace-sorted.sh
%{_bindir}/sort-trace.awk.sh
%{_bindir}/stats-wrapper.sh
%dir %{_libdir}/paraver-kernel
%{_libdir}/paraver-kernel/libparaver-kernel.so.0.0.0
%{_libdir}/paraver-kernel/libparaver-api.so.0.0.0
%dir %{_datadir}/paraver
%{_datadir}/paraver/*.xml
%dir %{_datadir}/paraver/cfgs
%{_datadir}/paraver/cfgs/*.sh
%dir %{_datadir}/paraver/cfgs/CUDA
%{_datadir}/paraver/cfgs/CUDA/*.cfg
%dir %{_datadir}/paraver/cfgs/CUDA/views
%{_datadir}/paraver/cfgs/CUDA/views/*.cfg
%dir %{_datadir}/paraver/cfgs/GASPI
%{_datadir}/paraver/cfgs/GASPI/*.cfg
%dir %{_datadir}/paraver/cfgs/General
%dir %{_datadir}/paraver/cfgs/General/analysis
%{_datadir}/paraver/cfgs/General/analysis/*.cfg
%dir %{_datadir}/paraver/cfgs/General/link_to_source
%dir %{_datadir}/paraver/cfgs/General/link_to_source/by_call_stack
%{_datadir}/paraver/cfgs/General/link_to_source/by_call_stack/*.cfg
%dir %{_datadir}/paraver/cfgs/General/sanity_checks
%{_datadir}/paraver/cfgs/General/sanity_checks/*.cfg
%dir %{_datadir}/paraver/cfgs/General/views
%{_datadir}/paraver/cfgs/General/views/*.cfg
%dir %{_datadir}/paraver/cfgs/Java
%dir %{_datadir}/paraver/cfgs/Java/win
%{_datadir}/paraver/cfgs/Java/win/*.cfg
%dir %{_datadir}/paraver/cfgs/OmpSs
%{_datadir}/paraver/cfgs/OmpSs/*.cfg
%dir %{_datadir}/paraver/cfgs/OpenCL
%dir %{_datadir}/paraver/cfgs/OpenCL/analysis
%{_datadir}/paraver/cfgs/OpenCL/analysis/*.cfg
%dir %{_datadir}/paraver/cfgs/OpenCL/views
%{_datadir}/paraver/cfgs/OpenCL/views/*.cfg
%dir %{_datadir}/paraver/cfgs/OpenMP
%dir %{_datadir}/paraver/cfgs/OpenMP/analysis
%{_datadir}/paraver/cfgs/OpenMP/analysis/*.cfg
%dir %{_datadir}/paraver/cfgs/OpenMP/views
%{_datadir}/paraver/cfgs/OpenMP/views/*.cfg
%dir %{_datadir}/paraver/cfgs/PROFET/
%{_datadir}/paraver/cfgs/PROFET/*.cfg
%dir %{_datadir}/paraver/cfgs/burst_mode
%{_datadir}/paraver/cfgs/burst_mode/*.cfg
%dir %{_datadir}/paraver/cfgs/clustering
%{_datadir}/paraver/cfgs/clustering/*.cfg
%dir %{_datadir}/paraver/cfgs/counters_PAPI
%{_datadir}/paraver/cfgs/counters_PAPI/*.cfg
%dir %{_datadir}/paraver/cfgs/counters_PAPI/architecture
%{_datadir}/paraver/cfgs/counters_PAPI/architecture/*.cfg
%dir %{_datadir}/paraver/cfgs/counters_PAPI/models
%{_datadir}/paraver/cfgs/counters_PAPI/models/*.cfg
%dir %{_datadir}/paraver/cfgs/counters_PAPI/performance
%{_datadir}/paraver/cfgs/counters_PAPI/performance/*.cfg
%dir %{_datadir}/paraver/cfgs/counters_PAPI/program
%{_datadir}/paraver/cfgs/counters_PAPI/program/*.cfg
%dir %{_datadir}/paraver/cfgs/counters_PAPI/program
%{_datadir}/paraver/cfgs/counters_PAPI/program/*.cfg
%dir %{_datadir}/paraver/cfgs/folding
%dir %{_datadir}/paraver/cfgs/folding/histograms
%{_datadir}/paraver/cfgs/folding/histograms/*.cfg
%dir %{_datadir}/paraver/cfgs/folding/views
%{_datadir}/paraver/cfgs/folding/views/*.cfg
%dir %{_datadir}/paraver/cfgs/mpi
%dir %{_datadir}/paraver/cfgs/mpi/analysis
%{_datadir}/paraver/cfgs/mpi/analysis/*.cfg
%dir %{_datadir}/paraver/cfgs/mpi/analysis/advanced
%{_datadir}/paraver/cfgs/mpi/analysis/advanced/*.cfg
%dir %{_datadir}/paraver/cfgs/mpi/analysis/other
%{_datadir}/paraver/cfgs/mpi/analysis/other/*.cfg
%dir %{_datadir}/paraver/cfgs/mpi/analysis/point2point/
%{_datadir}/paraver/cfgs/mpi/analysis/point2point/*.cfg
%dir %{_datadir}/paraver/cfgs/mpi/sanity_checks
%{_datadir}/paraver/cfgs/mpi/sanity_checks/*.cfg
%dir %{_datadir}/paraver/cfgs/mpi/views
%{_datadir}/paraver/cfgs/mpi/views/*.cfg
%dir %{_datadir}/paraver/cfgs/mpi/views/advanced
%{_datadir}/paraver/cfgs/mpi/views/advanced/*.cfg
%dir %{_datadir}/paraver/cfgs/mpi/views/collectives
%{_datadir}/paraver/cfgs/mpi/views/collectives/*.cfg
%dir %{_datadir}/paraver/cfgs/mpi/views/point2point
%{_datadir}/paraver/cfgs/mpi/views/point2point/*.cfg
%dir %{_datadir}/paraver/cfgs/mpi/views/point2point/models
%{_datadir}/paraver/cfgs/mpi/views/point2point/models/*.cfg
%dir %{_datadir}/paraver/cfgs/pthread
%dir %{_datadir}/paraver/cfgs/pthread/views
%{_datadir}/paraver/cfgs/pthread/views/*.cfg
%dir %{_datadir}/paraver/cfgs/sampling+folding
%{_datadir}/paraver/cfgs/sampling+folding/*.cfg
%dir %{_datadir}/paraver/cfgs/scripts
%{_datadir}/paraver/cfgs/scripts/*.cfg
%dir %{_datadir}/paraver/cfgs/software_counters
%{_datadir}/paraver/cfgs/software_counters/*.cfg
%dir %{_datadir}/paraver/cfgs/software_counters/analyses
%{_datadir}/paraver/cfgs/software_counters/analyses/*.cfg
%dir %{_datadir}/paraver/cfgs/software_counters/other
%{_datadir}/paraver/cfgs/software_counters/other/*.cfg
%dir %{_datadir}/paraver/cfgs/software_counters/views
%{_datadir}/paraver/cfgs/software_counters/views/*.cfg
%dir %{_datadir}/paraver/cfgs/spectral
%{_datadir}/paraver/cfgs/spectral/*.cfg
%dir %{_datadir}/paraver/filters-config
%{_datadir}/paraver/filters-config/*.xml
%dir %{_datadir}/paraver/wxparaver-signals
%{_datadir}/paraver/wxparaver-signals/*.sig
%{_mandir}/man1/paraver-toolset.1.gz


%files docs
%license COPYING
%dir %{_docdir}/paraver
%dir %{_docdir}/paraver/html
%dir %{_docdir}/paraver/html/1.quick_reference/
%{_docdir}/paraver/html/1.quick_reference/*.html
%dir %{_docdir}/paraver/html/1.quick_reference/img/
%{_docdir}/paraver/html/1.quick_reference/img/*.png
%dir %{_docdir}/paraver/html/2.paraver_toolset
%{_docdir}/paraver/html/2.paraver_toolset/*.html
%dir %{_docdir}/paraver/html/2.paraver_toolset/_images
%{_docdir}/paraver/html/2.paraver_toolset/_images/*.png

%files devel
%{_libdir}/paraver-kernel/libparaver-api.so
%{_libdir}/paraver-kernel/libparaver-api.so.0
%{_libdir}/paraver-kernel/libparaver-kernel.so
%{_libdir}/paraver-kernel/libparaver-kernel.so.0
%dir %{_includedir}/paraver
%{_includedir}/paraver/*.h
%{_includedir}/paraver/*.cpp
%dir %{_includedir}/paraver/utils
%dir %{_includedir}/paraver/utils/traceparser
%{_includedir}/paraver/utils/traceparser/*.h
%{_includedir}/paraver/utils/traceparser/*.cpp

%changelog
* Fri Feb 17 2023 Benson Muite <benson_muite@emailplus.org> 4.10.6-1
- Initial packaging
